diff --git a/dlls/mfplat/tests/mfplat.c b/dlls/mfplat/tests/mfplat.c
index 8d21f2ed6..20577453f 100644
--- a/dlls/mfplat/tests/mfplat.c
+++ b/dlls/mfplat/tests/mfplat.c
@@ -4656,7 +4570,7 @@ static void test_async_create_file(void)
 
     hr = MFBeginCreateFile(MF_ACCESSMODE_READWRITE, MF_OPENMODE_DELETE_IF_EXIST, MF_FILEFLAGS_NONE, fileW,
             &callback->IMFAsyncCallback_iface, (IUnknown *)&callback->IMFAsyncCallback_iface, &cancel_cookie);
-    ok(hr == S_OK, "Async create request failed, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Async create request failed, hr %#x.\n", hr);
     ok(cancel_cookie != NULL, "Unexpected cancellation object.\n");
 
     WaitForSingleObject(callback->event, INFINITE);
@@ -4666,7 +4580,7 @@ static void test_async_create_file(void)
     CloseHandle(callback->event);
 
     hr = MFShutdown();
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 
     IMFAsyncCallback_Release(&callback->IMFAsyncCallback_iface);
 
@@ -4927,34 +4841,34 @@ static void test_local_handlers(void)
     }
 
     hr = pMFRegisterLocalSchemeHandler(NULL, NULL);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = pMFRegisterLocalSchemeHandler(localW, NULL);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = pMFRegisterLocalSchemeHandler(NULL, &local_activate);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = pMFRegisterLocalSchemeHandler(localW, &local_activate);
-    ok(hr == S_OK, "Failed to register scheme handler, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to register scheme handler, hr %#x.\n", hr);
 
     hr = pMFRegisterLocalSchemeHandler(localW, &local_activate);
-    ok(hr == S_OK, "Failed to register scheme handler, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to register scheme handler, hr %#x.\n", hr);
 
     hr = pMFRegisterLocalByteStreamHandler(NULL, NULL, NULL);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = pMFRegisterLocalByteStreamHandler(NULL, NULL, &local_activate);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = pMFRegisterLocalByteStreamHandler(NULL, localW, &local_activate);
-    ok(hr == S_OK, "Failed to register stream handler, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to register stream handler, hr %#x.\n", hr);
 
     hr = pMFRegisterLocalByteStreamHandler(localW, NULL, &local_activate);
-    ok(hr == S_OK, "Failed to register stream handler, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to register stream handler, hr %#x.\n", hr);
 
     hr = pMFRegisterLocalByteStreamHandler(localW, localW, &local_activate);
-    ok(hr == S_OK, "Failed to register stream handler, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to register stream handler, hr %#x.\n", hr);
 }
 
 static void test_create_property_store(void)
@@ -4968,13 +4882,13 @@ static void test_create_property_store(void)
     HRESULT hr;
 
     hr = CreatePropertyStore(NULL);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = CreatePropertyStore(&store);
-    ok(hr == S_OK, "Failed to create property store, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create property store, hr %#x.\n", hr);
 
     hr = CreatePropertyStore(&store2);
-    ok(hr == S_OK, "Failed to create property store, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create property store, hr %#x.\n", hr);
     ok(store2 != store, "Expected different store objects.\n");
     IPropertyStore_Release(store2);
 
@@ -4982,77 +4896,77 @@ static void test_create_property_store(void)
     check_interface(store, &IID_IPersistSerializedPropStorage, FALSE);
 
     hr = IPropertyStore_GetCount(store, NULL);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     count = 0xdeadbeef;
     hr = IPropertyStore_GetCount(store, &count);
-    ok(hr == S_OK, "Failed to get count, hr %#lx.\n", hr);
-    ok(!count, "Unexpected count %lu.\n", count);
+    ok(hr == S_OK, "Failed to get count, hr %#x.\n", hr);
+    ok(!count, "Unexpected count %u.\n", count);
 
     hr = IPropertyStore_Commit(store);
-    ok(hr == E_NOTIMPL, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_NOTIMPL, "Unexpected hr %#x.\n", hr);
 
     hr = IPropertyStore_GetAt(store, 0, &key);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = IPropertyStore_GetValue(store, NULL, &value);
-    ok(hr == S_FALSE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Unexpected hr %#x.\n", hr);
 
     hr = IPropertyStore_GetValue(store, &test_pkey, NULL);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = IPropertyStore_GetValue(store, &test_pkey, &value);
-    ok(hr == S_FALSE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Unexpected hr %#x.\n", hr);
 
     memset(&value, 0, sizeof(PROPVARIANT));
     value.vt = VT_I4;
     value.lVal = 0xdeadbeef;
     hr = IPropertyStore_SetValue(store, &test_pkey, &value);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
 if (0)
 {
     /* crashes on Windows */
     hr = IPropertyStore_SetValue(store, NULL, &value);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 }
 
     hr = IPropertyStore_GetCount(store, &count);
-    ok(hr == S_OK, "Failed to get count, hr %#lx.\n", hr);
-    ok(count == 1, "Unexpected count %lu.\n", count);
+    ok(hr == S_OK, "Failed to get count, hr %#x.\n", hr);
+    ok(count == 1, "Unexpected count %u.\n", count);
 
     hr = IPropertyStore_Commit(store);
-    ok(hr == E_NOTIMPL, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_NOTIMPL, "Unexpected hr %#x.\n", hr);
 
     hr = IPropertyStore_GetAt(store, 0, &key);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(!memcmp(&key, &test_pkey, sizeof(PROPERTYKEY)), "Keys didn't match.\n");
 
     hr = IPropertyStore_GetAt(store, 1, &key);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     memset(&value, 0xcc, sizeof(PROPVARIANT));
     hr = IPropertyStore_GetValue(store, &test_pkey, &value);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(value.vt == VT_I4, "Unexpected type %u.\n", value.vt);
-    ok(value.lVal == 0xdeadbeef, "Unexpected value %#lx.\n", value.lVal);
+    ok(value.lVal == 0xdeadbeef, "Unexpected value %#x.\n", value.lVal);
 
     memset(&value, 0, sizeof(PROPVARIANT));
     hr = IPropertyStore_SetValue(store, &test_pkey, &value);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IPropertyStore_GetCount(store, &count);
-    ok(hr == S_OK, "Failed to get count, hr %#lx.\n", hr);
-    ok(count == 1, "Unexpected count %lu.\n", count);
+    ok(hr == S_OK, "Failed to get count, hr %#x.\n", hr);
+    ok(count == 1, "Unexpected count %u.\n", count);
 
     memset(&value, 0xcc, sizeof(PROPVARIANT));
     hr = IPropertyStore_GetValue(store, &test_pkey, &value);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(value.vt == VT_EMPTY, "Unexpected type %u.\n", value.vt);
-    ok(!value.lVal, "Unexpected value %#lx.\n", value.lVal);
+    ok(!value.lVal, "Unexpected value %#x.\n", value.lVal);
 
     refcount = IPropertyStore_Release(store);
-    ok(!refcount, "Unexpected refcount %lu.\n", refcount);
+    ok(!refcount, "Unexpected refcount %u.\n", refcount);
 }
 
 struct test_thread_param
@@ -5098,184 +5012,184 @@ static void test_dxgi_device_manager(void)
     }
 
     hr = pMFCreateDXGIDeviceManager(NULL, &manager);
-    ok(hr == E_POINTER, "MFCreateDXGIDeviceManager should failed: %#lx.\n", hr);
+    ok(hr == E_POINTER, "MFCreateDXGIDeviceManager should failed: %#x.\n", hr);
 
     token = 0;
     hr = pMFCreateDXGIDeviceManager(&token, NULL);
-    ok(hr == E_POINTER, "MFCreateDXGIDeviceManager should failed: %#lx.\n", hr);
+    ok(hr == E_POINTER, "MFCreateDXGIDeviceManager should failed: %#x.\n", hr);
     ok(!token, "got wrong token: %u.\n", token);
 
     hr = pMFCreateDXGIDeviceManager(&token, &manager);
-    ok(hr == S_OK, "MFCreateDXGIDeviceManager failed: %#lx.\n", hr);
+    ok(hr == S_OK, "MFCreateDXGIDeviceManager failed: %#x.\n", hr);
     EXPECT_REF(manager, 1);
     ok(!!token, "got wrong token: %u.\n", token);
 
     Sleep(50);
     token2 = 0;
     hr = pMFCreateDXGIDeviceManager(&token2, &manager2);
-    ok(hr == S_OK, "MFCreateDXGIDeviceManager failed: %#lx.\n", hr);
+    ok(hr == S_OK, "MFCreateDXGIDeviceManager failed: %#x.\n", hr);
     EXPECT_REF(manager2, 1);
     ok(token2 && token2 != token, "got wrong token: %u, %u.\n", token2, token);
     ok(manager != manager2, "got wrong pointer: %p.\n", manager2);
     EXPECT_REF(manager, 1);
 
     hr = IMFDXGIDeviceManager_GetVideoService(manager, NULL, &IID_ID3D11Device, (void **)&unk);
-    ok(hr == MF_E_DXGI_DEVICE_NOT_INITIALIZED, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_DXGI_DEVICE_NOT_INITIALIZED, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_OpenDeviceHandle(manager, &handle);
-    ok(hr == MF_E_DXGI_DEVICE_NOT_INITIALIZED, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_DXGI_DEVICE_NOT_INITIALIZED, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_CloseDeviceHandle(manager, 0);
-    ok(hr == E_HANDLE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_HANDLE, "Unexpected hr %#x.\n", hr);
 
     hr = pD3D11CreateDevice(NULL, D3D_DRIVER_TYPE_HARDWARE, NULL, D3D11_CREATE_DEVICE_VIDEO_SUPPORT,
                            NULL, 0, D3D11_SDK_VERSION, &d3d11_dev, NULL, NULL);
-    ok(hr == S_OK, "D3D11CreateDevice failed: %#lx.\n", hr);
+    ok(hr == S_OK, "D3D11CreateDevice failed: %#x.\n", hr);
     EXPECT_REF(d3d11_dev, 1);
 
     hr = IMFDXGIDeviceManager_ResetDevice(manager, (IUnknown *)d3d11_dev, token - 1);
-    ok(hr == E_INVALIDARG, "IMFDXGIDeviceManager_ResetDevice should failed: %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "IMFDXGIDeviceManager_ResetDevice should failed: %#x.\n", hr);
     EXPECT_REF(d3d11_dev, 1);
 
     hr = IMFDXGIDeviceManager_ResetDevice(manager, NULL, token);
-    ok(hr == E_INVALIDARG, "IMFDXGIDeviceManager_ResetDevice should failed: %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "IMFDXGIDeviceManager_ResetDevice should failed: %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_ResetDevice(manager, (IUnknown *)d3d11_dev, token);
-    ok(hr == S_OK, "IMFDXGIDeviceManager_ResetDevice failed: %#lx.\n", hr);
+    ok(hr == S_OK, "IMFDXGIDeviceManager_ResetDevice failed: %#x.\n", hr);
     EXPECT_REF(manager, 1);
     EXPECT_REF(d3d11_dev, 2);
 
     hr = IMFDXGIDeviceManager_ResetDevice(manager, (IUnknown *)manager2, token);
-    ok(hr == E_INVALIDARG, "IMFDXGIDeviceManager_ResetDevice should failed: %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "IMFDXGIDeviceManager_ResetDevice should failed: %#x.\n", hr);
     EXPECT_REF(manager2, 1);
     EXPECT_REF(d3d11_dev, 2);
 
     hr = IMFDXGIDeviceManager_ResetDevice(manager, (IUnknown *)d3d11_dev, token);
-    ok(hr == S_OK, "IMFDXGIDeviceManager_ResetDevice failed: %#lx.\n", hr);
+    ok(hr == S_OK, "IMFDXGIDeviceManager_ResetDevice failed: %#x.\n", hr);
     EXPECT_REF(manager, 1);
     EXPECT_REF(d3d11_dev, 2);
 
     /* GetVideoService() on device change. */
     handle = NULL;
     hr = IMFDXGIDeviceManager_OpenDeviceHandle(manager, &handle);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(!!handle, "Unexpected handle value %p.\n", handle);
 
     hr = pD3D11CreateDevice(NULL, D3D_DRIVER_TYPE_HARDWARE, NULL, 0,
                            NULL, 0, D3D11_SDK_VERSION, &d3d11_dev2, NULL, NULL);
-    ok(hr == S_OK, "D3D11CreateDevice failed: %#lx.\n", hr);
+    ok(hr == S_OK, "D3D11CreateDevice failed: %#x.\n", hr);
     EXPECT_REF(d3d11_dev2, 1);
     hr = IMFDXGIDeviceManager_ResetDevice(manager, (IUnknown *)d3d11_dev2, token);
-    ok(hr == S_OK, "IMFDXGIDeviceManager_ResetDevice failed: %#lx.\n", hr);
+    ok(hr == S_OK, "IMFDXGIDeviceManager_ResetDevice failed: %#x.\n", hr);
     EXPECT_REF(manager, 1);
     EXPECT_REF(d3d11_dev2, 2);
     EXPECT_REF(d3d11_dev, 1);
 
     hr = IMFDXGIDeviceManager_GetVideoService(manager, handle, &IID_ID3D11Device, (void **)&unk);
-    ok(hr == MF_E_DXGI_NEW_VIDEO_DEVICE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_DXGI_NEW_VIDEO_DEVICE, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_CloseDeviceHandle(manager, handle);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     handle = NULL;
     hr = IMFDXGIDeviceManager_OpenDeviceHandle(manager, &handle);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(!!handle, "Unexpected handle value %p.\n", handle);
 
     hr = IMFDXGIDeviceManager_GetVideoService(manager, NULL, &IID_ID3D11Device, (void **)&unk);
-    ok(hr == E_HANDLE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_HANDLE, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_GetVideoService(manager, handle, &IID_ID3D11Device, (void **)&unk);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     IUnknown_Release(unk);
 
     hr = IMFDXGIDeviceManager_GetVideoService(manager, handle, &IID_IUnknown, (void **)&unk);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     IUnknown_Release(unk);
 
     hr = IMFDXGIDeviceManager_GetVideoService(manager, handle, &IID_IDXGIDevice, (void **)&unk);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     IUnknown_Release(unk);
 
     handle1 = NULL;
     hr = IMFDXGIDeviceManager_OpenDeviceHandle(manager, &handle1);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(handle != handle1, "Unexpected handle.\n");
 
     hr = IMFDXGIDeviceManager_CloseDeviceHandle(manager, handle);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     /* Already closed. */
     hr = IMFDXGIDeviceManager_CloseDeviceHandle(manager, handle);
-    ok(hr == E_HANDLE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_HANDLE, "Unexpected hr %#x.\n", hr);
 
     handle = NULL;
     hr = IMFDXGIDeviceManager_OpenDeviceHandle(manager, &handle);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_CloseDeviceHandle(manager, handle1);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_TestDevice(manager, handle1);
-    ok(hr == E_HANDLE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_HANDLE, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_LockDevice(manager, handle, &IID_ID3D11Device, (void **)&device, FALSE);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(device == d3d11_dev2, "Unexpected device pointer.\n");
     ID3D11Device_Release(device);
 
     hr = IMFDXGIDeviceManager_UnlockDevice(manager, handle, FALSE);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_UnlockDevice(manager, handle, FALSE);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_UnlockDevice(manager, UlongToHandle(100), FALSE);
-    ok(hr == E_FAIL, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_FAIL, "Unexpected hr %#x.\n", hr);
 
     /* Locked with one handle, unlock with another. */
     hr = IMFDXGIDeviceManager_OpenDeviceHandle(manager, &handle1);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_LockDevice(manager, handle, &IID_ID3D11Device, (void **)&device, FALSE);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_UnlockDevice(manager, handle1, FALSE);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     ID3D11Device_Release(device);
 
     /* Closing unlocks the device. */
     hr = IMFDXGIDeviceManager_CloseDeviceHandle(manager, handle);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_LockDevice(manager, handle1, &IID_ID3D11Device, (void **)&device, FALSE);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ID3D11Device_Release(device);
 
     hr = IMFDXGIDeviceManager_CloseDeviceHandle(manager, handle1);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     /* Open two handles. */
     hr = IMFDXGIDeviceManager_OpenDeviceHandle(manager, &handle);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_OpenDeviceHandle(manager, &handle1);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_LockDevice(manager, handle, &IID_ID3D11Device, (void **)&device, FALSE);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ID3D11Device_Release(device);
 
     hr = IMFDXGIDeviceManager_LockDevice(manager, handle1, &IID_ID3D11Device, (void **)&device, FALSE);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ID3D11Device_Release(device);
 
     hr = IMFDXGIDeviceManager_UnlockDevice(manager, handle, FALSE);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_UnlockDevice(manager, handle, FALSE);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     param.manager = manager;
     param.handle = handle;
@@ -5283,18 +5197,18 @@ static void test_dxgi_device_manager(void)
     thread = CreateThread(NULL, 0, test_device_manager_thread, &param, 0, NULL);
     ok(!WaitForSingleObject(thread, 1000), "Wait for a test thread failed.\n");
     GetExitCodeThread(thread, (DWORD *)&hr);
-    ok(hr == MF_E_DXGI_VIDEO_DEVICE_LOCKED, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_DXGI_VIDEO_DEVICE_LOCKED, "Unexpected hr %#x.\n", hr);
     CloseHandle(thread);
 
     hr = IMFDXGIDeviceManager_UnlockDevice(manager, handle1, FALSE);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_UnlockDevice(manager, handle1, FALSE);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     /* Lock on main thread, unlock on another. */
     hr = IMFDXGIDeviceManager_LockDevice(manager, handle, &IID_ID3D11Device, (void **)&device, FALSE);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ID3D11Device_Release(device);
 
     param.manager = manager;
@@ -5303,14 +5217,14 @@ static void test_dxgi_device_manager(void)
     thread = CreateThread(NULL, 0, test_device_manager_thread, &param, 0, NULL);
     ok(!WaitForSingleObject(thread, 1000), "Wait for a test thread failed.\n");
     GetExitCodeThread(thread, (DWORD *)&hr);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     CloseHandle(thread);
 
     hr = IMFDXGIDeviceManager_CloseDeviceHandle(manager, handle1);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFDXGIDeviceManager_CloseDeviceHandle(manager, handle);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     IMFDXGIDeviceManager_Release(manager);
     EXPECT_REF(d3d11_dev2, 1);
@@ -5332,10 +5246,10 @@ static void test_MFCreateTransformActivate(void)
     }
 
     hr = pMFCreateTransformActivate(&activate);
-    ok(hr == S_OK, "Failed to create activator, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create activator, hr %#x.\n", hr);
 
     hr = IMFActivate_GetCount(activate, &count);
-    ok(hr == S_OK, "Failed to get count, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get count, hr %#x.\n", hr);
     ok(!count, "Unexpected attribute count %u.\n", count);
 
     IMFActivate_Release(activate);
@@ -5404,49 +5318,49 @@ static void test_MFTRegisterLocal(void)
     input_types[0].guidMajorType = MFMediaType_Audio;
     input_types[0].guidSubtype = MFAudioFormat_PCM;
     hr = pMFTRegisterLocal(&test_factory, &MFT_CATEGORY_OTHER, L"Local MFT name", 0, 1, input_types, 0, NULL);
-    ok(hr == S_OK, "Failed to register MFT, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to register MFT, hr %#x.\n", hr);
 
     hr = pMFTRegisterLocal(&test_factory, &MFT_CATEGORY_OTHER, L"Local MFT name", 0, 1, input_types, 0, NULL);
-    ok(hr == S_OK, "Failed to register MFT, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to register MFT, hr %#x.\n", hr);
 
     hr = pMFTEnumEx(MFT_CATEGORY_OTHER, MFT_ENUM_FLAG_LOCALMFT, NULL, NULL, &activate, &count);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(count > 0, "Unexpected count %u.\n", count);
     CoTaskMemFree(activate);
 
     hr = pMFTUnregisterLocal(&test_factory);
-    ok(hr == S_OK, "Failed to unregister MFT, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unregister MFT, hr %#x.\n", hr);
 
     hr = pMFTEnumEx(MFT_CATEGORY_OTHER, MFT_ENUM_FLAG_LOCALMFT, NULL, NULL, &activate, &count2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(count2 < count, "Unexpected count %u.\n", count2);
     CoTaskMemFree(activate);
 
     hr = pMFTUnregisterLocal(&test_factory);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_NOT_FOUND), "Unexpected hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_NOT_FOUND), "Unexpected hr %#x.\n", hr);
 
     hr = pMFTUnregisterLocal(NULL);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = pMFTRegisterLocalByCLSID(&MFT_CATEGORY_OTHER, &MFT_CATEGORY_OTHER, L"Local MFT name 2", 0, 1, input_types,
             0, NULL);
-    ok(hr == S_OK, "Failed to register MFT, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to register MFT, hr %#x.\n", hr);
 
     hr = MFTGetInfo(MFT_CATEGORY_OTHER, &name, &in_types, &count, &out_types, &count2, &attributes);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_FILE_NOT_FOUND), "Unexpected hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_FILE_NOT_FOUND), "Unexpected hr %#x.\n", hr);
 
     hr = pMFTUnregisterLocal(NULL);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = pMFTUnregisterLocalByCLSID(MFT_CATEGORY_OTHER);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_NOT_FOUND), "Unexpected hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_NOT_FOUND), "Unexpected hr %#x.\n", hr);
 
     hr = pMFTRegisterLocalByCLSID(&MFT_CATEGORY_OTHER, &MFT_CATEGORY_OTHER, L"Local MFT name 2", 0, 1, input_types,
             0, NULL);
-    ok(hr == S_OK, "Failed to register MFT, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to register MFT, hr %#x.\n", hr);
 
     hr = pMFTUnregisterLocalByCLSID(MFT_CATEGORY_OTHER);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 }
 
 static void test_queue_com(void)
@@ -5515,16 +5429,16 @@ static HRESULT WINAPI test_queue_com_state_callback_Invoke(IMFAsyncCallback *ifa
     HRESULT hr;
 
     hr = pCoGetApartmentType(&com_type, &qualifier);
-    ok(SUCCEEDED(hr), "Failed to get apartment type, hr %#lx.\n", hr);
+    ok(SUCCEEDED(hr), "Failed to get apartment type, hr %#x.\n", hr);
     if (SUCCEEDED(hr))
     {
     todo_wine {
         if (callback->param == MFASYNC_CALLBACK_QUEUE_LONG_FUNCTION)
             ok(com_type == APTTYPE_MAINSTA && qualifier == APTTYPEQUALIFIER_NONE,
-                "%#lx: unexpected type %u, qualifier %u.\n", callback->param, com_type, qualifier);
+                "%#x: unexpected type %u, qualifier %u.\n", callback->param, com_type, qualifier);
         else
             ok(com_type == APTTYPE_MTA && qualifier == APTTYPEQUALIFIER_NONE,
-                "%#lx: unexpected type %u, qualifier %u.\n", callback->param, com_type, qualifier);
+                "%#x: unexpected type %u, qualifier %u.\n", callback->param, com_type, qualifier);
     }
     }
 
@@ -5551,13 +5465,13 @@ static void test_queue_com_state(const char *name)
     callback->event = CreateEventA(NULL, FALSE, FALSE, NULL);
 
     hr = MFStartup(MF_VERSION, MFSTARTUP_FULL);
-    ok(hr == S_OK, "Failed to start up, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start up, hr %#x.\n", hr);
 
     if (name[0] == 's')
     {
         callback->param = name[1] - '0';
         hr = MFPutWorkItem(callback->param, &callback->IMFAsyncCallback_iface, NULL);
-        ok(SUCCEEDED(hr), "Failed to queue work item, hr %#lx.\n", hr);
+        ok(SUCCEEDED(hr), "Failed to queue work item, hr %#x.\n", hr);
         WaitForSingleObject(callback->event, INFINITE);
     }
     else if (name[0] == 'u')
@@ -5566,24 +5480,24 @@ static void test_queue_com_state(const char *name)
 
         hr = pMFAllocateWorkQueueEx(queue_type, &queue);
         ok(hr == S_OK || broken(queue_type == MF_MULTITHREADED_WORKQUEUE && hr == E_INVALIDARG) /* Win7 */,
-                "Failed to allocate a queue of type %lu, hr %#lx.\n", queue_type, hr);
+                "Failed to allocate a queue of type %u, hr %#x.\n", queue_type, hr);
 
         if (SUCCEEDED(hr))
         {
             callback->param = queue;
             hr = MFPutWorkItem(queue, &callback->IMFAsyncCallback_iface, NULL);
-            ok(SUCCEEDED(hr), "Failed to queue work item, hr %#lx.\n", hr);
+            ok(SUCCEEDED(hr), "Failed to queue work item, hr %#x.\n", hr);
             WaitForSingleObject(callback->event, INFINITE);
 
             hr = MFUnlockWorkQueue(queue);
-            ok(hr == S_OK, "Failed to unlock the queue, hr %#lx.\n", hr);
+            ok(hr == S_OK, "Failed to unlock the queue, hr %#x.\n", hr);
         }
     }
 
     CloseHandle(callback->event);
 
     hr = MFShutdown();
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 
     IMFAsyncCallback_Release(&callback->IMFAsyncCallback_iface);
 }
@@ -5658,13 +5572,13 @@ static void test_MFGetStrideForBitmapInfoHeader(void)
     }
 
     hr = pMFGetStrideForBitmapInfoHeader(MAKEFOURCC('H','2','6','4'), 1, &stride);
-    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#x.\n", hr);
 
     for (i = 0; i < ARRAY_SIZE(stride_tests); ++i)
     {
         hr = pMFGetStrideForBitmapInfoHeader(stride_tests[i].subtype->Data1, stride_tests[i].width, &stride);
-        ok(hr == S_OK, "%u: failed to get stride, hr %#lx.\n", i, hr);
-        ok(stride == stride_tests[i].stride, "%u: format %s, unexpected stride %ld, expected %ld.\n", i,
+        ok(hr == S_OK, "%u: failed to get stride, hr %#x.\n", i, hr);
+        ok(stride == stride_tests[i].stride, "%u: format %s, unexpected stride %d, expected %d.\n", i,
                 wine_dbgstr_an((char *)&stride_tests[i].subtype->Data1, 4), stride, stride_tests[i].stride);
     }
 }
@@ -5725,15 +5639,12 @@ static void test_MFCreate2DMediaBuffer(void)
         { 1, 4, D3DFMT_A8R8G8B8, 16, 64 },
         { 4, 1, D3DFMT_A8R8G8B8, 16, 64 },
     };
-    static const char two_aas[] = { 0xaa, 0xaa };
-    static const char eight_bbs[] = { 0xbb, 0xbb, 0xbb, 0xbb, 0xbb, 0xbb, 0xbb, 0xbb };
-    DWORD max_length, length, length2;
+    unsigned int max_length, length, length2;
     BYTE *buffer_start, *data, *data2;
-    LONG pitch, pitch2, stride;
+    int i, j, k, pitch, pitch2, stride;
     IMF2DBuffer2 *_2dbuffer2;
     IMF2DBuffer *_2dbuffer;
     IMFMediaBuffer *buffer;
-    int i, j, k;
     HRESULT hr;
     BOOL ret;
 
